Page MenuHomePhabricator

[Regression wmf14] Response from parseFragment is blank content, meaning newly-inserted or -modified content is blank until saving
Closed, ResolvedPublic1 Story Points

Description

Inserted formulas are not displayed in VE - but preserved when Save or switching to Edit source.

Same for newly-inserted templates, and modified formulæ and templates too.

Details

Related Gerrit Patches:
mediawiki/core : wmf/1.25wmf14Bump VisualEditor to include I659cc1f and If133a9d
mediawiki/extensions/VisualEditor : wmf/1.25wmf14Fix Parsoid transformation calls
mediawiki/extensions/VisualEditor : masterFix Parsoid transformation calls

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a subscriber: Etonkovidova.

[Adding "VisualEditor" project - feel encouraged to do so when creating tasks. Thanks!]

Etonkovidova renamed this task from [Regression pre-wmf14] Safari - VE does not display inserted Formulas to [Regression pre-wmf14] VE does not display inserted Formulas.Jan 7 2015, 7:53 PM
Etonkovidova updated the task description. (Show Details)
Etonkovidova set Security to None.

Also,happening for gallery

Ryasmeen triaged this task as Unbreak Now! priority.Jan 7 2015, 7:56 PM
Ryasmeen moved this task from To Triage to External and Administrivia on the VisualEditor board.
Ryasmeen updated the task description. (Show Details)
Ryasmeen renamed this task from [Regression pre-wmf14] VE does not display inserted Formulas to [Regression wmf15] VE does not display inserted Formulas.Jan 7 2015, 8:03 PM
Ryasmeen renamed this task from [Regression wmf15] VE does not display inserted Formulas to [Regression pre-wmf15] VE does not display inserted Formulas.
Ryasmeen updated the task description. (Show Details)
Jdforrester-WMF renamed this task from [Regression pre-wmf15] VE does not display inserted Formulas to [Regression wmf14] Response from parseFragment is blank content, meaning newly-inserted or -modified content is blank until saving.Jan 7 2015, 9:37 PM
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Krenair.
Krenair claimed this task.Jan 7 2015, 9:57 PM

Change 183375 had a related patch set uploaded (by Alex Monk):
Fix Parsoid transformation calls

https://gerrit.wikimedia.org/r/183375

Patch-For-Review

Change 183375 merged by jenkins-bot:
Fix Parsoid transformation calls

https://gerrit.wikimedia.org/r/183375

Verified the fix in Betalabs.Math function , gallery and template getting added properly now

Ryasmeen closed this task as Resolved.Jan 8 2015, 12:44 AM

Change 183409 had a related patch set uploaded (by Jforrester):
Fix Parsoid transformation calls

https://gerrit.wikimedia.org/r/183409

Patch-For-Review

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Jan 8 2015, 1:20 AM

Change 183409 merged by jenkins-bot:
Fix Parsoid transformation calls

https://gerrit.wikimedia.org/r/183409

Change 183511 had a related patch set uploaded (by Jforrester):
Bump VisualEditor to include I659cc1f and If133a9d

https://gerrit.wikimedia.org/r/183511

Patch-For-Review

Change 183511 merged by jenkins-bot:
Bump VisualEditor to include I659cc1f and If133a9d

https://gerrit.wikimedia.org/r/183511

Jdforrester-WMF edited a custom field.Feb 2 2015, 7:43 PM